Skip to content

Updates a product financial config with the specified ID.

Request

This method will update an existing product financial config with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the product financial config to update.

Bodyapplication/jsonrequired

The updated product financial config that will be saved.

accounting_project_idstring(Accounting Project)

The accounting project for this project

accounts_receivable_gl_account_idstring(Accounts Receivable Gl Account)

The A/R GL account

business_unit_idstring(Business Unit)required

The business unit id

cogs_expense_gl_account_idstring(Cogs Expense Gl Account)

The COGS account

custom_field_valuesArray of objects(Custom Field Values)
deferral_fixed_datesArray of objects, non-emptyrequired
deferral_schedule_calculation_strategystring(Deferral Schedule Calculation Strategy)

How the revenue recognition schedule is calculated

Enum:"automatic""fixed dates"
deferred_revenue_gl_account_idstring(Deferred Revenue Gl Account)required

The deferred revenue account

department_idstring(Department)

The department for this project

due_to_due_from_entriesArray of objects, non-empty
enable_deferred_revenue_recognitionboolean(Enable Deferred Revenue Recognition)

Whether or not revenue should be deferred

enable_revenue_splitsboolean(Enable Revenue Splits)

Whether or not the product should split revenue

idstring(ID)^[\w\-_\s,&@\.\\|]+$required

The unique, string identifier of this product financial configuration. This should be in the format [product type]-[product id]

inventory_gl_account_idstring(Inventory Gl Account)

The inventory gl account

merchant_account_idstring(Merchant Account)

The merchant account that all payments should be routed to; if set, all orders with this product will be split up to ensure payments to this product end up in the specified merchant account

notesstring(Notes)

notes

product_idstring(Product)required

The id of product

product_typestring(Product Type)required

The type of product

revenue_gl_account_idstring(Revenue Gl Account)required

The revenue GL account

revenue_splitsArray of objects, non-emptyrequired
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tax_class_idstring(Tax Class)

The tax class of this product

write_off_gl_account_idstring(Write Off Gl Account)

The write off account

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/productFinancialConfigs/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accounting_project_id": "string",
    "accounts_receivable_gl_account_id": "string",
    "business_unit_id": "string",
    "cogs_expense_gl_account_id": "string",
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "deferral_fixed_dates": [
      {
        "date": "2019-08-24T14:15:22Z",
        "percentage": 0
      }
    ],
    "deferral_schedule_calculation_strategy": "automatic",
    "deferred_revenue_gl_account_id": "string",
    "department_id": "string",
    "due_to_due_from_entries": [
      {
        "accounts_receivable_gl_account_id": "string",
        "business_unit_id": "string",
        "liability_gl_account_id": "string"
      }
    ],
    "enable_deferred_revenue_recognition": true,
    "enable_revenue_splits": true,
    "id": "string",
    "inventory_gl_account_id": "string",
    "merchant_account_id": "string",
    "notes": "string",
    "product_id": "string",
    "product_type": "string",
    "revenue_gl_account_id": "string",
    "revenue_splits": [
      {
        "amount": 0,
        "name": "string",
        "percentage": 0,
        "revenue_gl_account_id": "string",
        "revenue_split_id": "string",
        "type": "fixed amount"
      }
    ],
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "tax_class_id": "string",
    "write_off_gl_account_id": "string"
  }'

Responses

The product financial config was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
accounting_project_idstring(Accounting Project)

The accounting project for this project

accounts_receivable_gl_account_idstring(Accounts Receivable Gl Account)

The A/R GL account

business_unit_idstring(Business Unit)required

The business unit id

cogs_expense_gl_account_idstring(Cogs Expense Gl Account)

The COGS account

custom_field_valuesArray of objects(Custom Field Values)
deferral_fixed_datesArray of objects, non-emptyrequired
deferral_schedule_calculation_strategystring(Deferral Schedule Calculation Strategy)

How the revenue recognition schedule is calculated

Enum:"automatic""fixed dates"
deferred_revenue_gl_account_idstring(Deferred Revenue Gl Account)required

The deferred revenue account

department_idstring(Department)

The department for this project

due_to_due_from_entriesArray of objects, non-empty
enable_deferred_revenue_recognitionboolean(Enable Deferred Revenue Recognition)

Whether or not revenue should be deferred

enable_revenue_splitsboolean(Enable Revenue Splits)

Whether or not the product should split revenue

idstring(ID)^[\w\-_\s,&@\.\\|]+$required

The unique, string identifier of this product financial configuration. This should be in the format [product type]-[product id]

inventory_gl_account_idstring(Inventory Gl Account)

The inventory gl account

merchant_account_idstring(Merchant Account)

The merchant account that all payments should be routed to; if set, all orders with this product will be split up to ensure payments to this product end up in the specified merchant account

notesstring(Notes)

notes

product_idstring(Product)required

The id of product

product_typestring(Product Type)required

The type of product

revenue_gl_account_idstring(Revenue Gl Account)required

The revenue GL account

revenue_splitsArray of objects, non-emptyrequired
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tax_class_idstring(Tax Class)

The tax class of this product

write_off_gl_account_idstring(Write Off Gl Account)

The write off account

Response
{ "accounting_project_id": "string", "accounts_receivable_gl_account_id": "string", "business_unit_id": "string", "cogs_expense_gl_account_id": "string", "custom_field_values": [ { … } ], "deferral_fixed_dates": [ { … } ], "deferral_schedule_calculation_strategy": "automatic", "deferred_revenue_gl_account_id": "string", "department_id": "string", "due_to_due_from_entries": [ { … } ], "enable_deferred_revenue_recognition": true, "enable_revenue_splits": true, "id": "string", "inventory_gl_account_id": "string", "merchant_account_id": "string", "notes": "string", "product_id": "string", "product_type": "string", "revenue_gl_account_id": "string", "revenue_splits": [ { … } ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tax_class_id": "string", "write_off_gl_account_id": "string" }